Public Member Functions | Public Attributes | List of all members
StarObjectSmallGraphicInternal::State Struct Reference

Internal: the state of a StarObjectSmallGraphic. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::shared_ptr< Graphic > | m_graphic
| the graphic object

## Detailed Description

Internal: the state of a StarObjectSmallGraphic.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectSmallGraphicInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_graphic

std::shared_ptr<Graphic> StarObjectSmallGraphicInternal::State::m_graphic

the graphic object

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx